package com.qmth.test.image;

import java.io.IOException;

import org.apache.commons.httpclient.HttpException;

import com.qmth.test.image.utils.GxStudentApiClient;

import main.java.com.UpYun;
import main.java.com.upyun.UpException;
import net.sf.json.JSONArray;
import net.sf.json.JSONObject;

/**
 * Hello world!
 *
 */
public class ImageDelete {

    protected static UpYun upyun = new UpYun("fenti-sheet", "qmth-picture", "qmth12345678");

    public static void main(String[] args) throws NumberFormatException, HttpException, IOException, UpException {
        // upyun.setApiDomain(UpYun.ED_TELECOM);
        // base = new File(args[0]);
        getStudent(new GxStudentApiClient("ft.markingcloud.com", "admin_xnjd", "123"), 1, 1000);
        getStudent(new GxStudentApiClient("ft.markingcloud.com", "admin_xnjd", "123"), 2, 1000);
        getStudent(new GxStudentApiClient("ft.markingcloud.com", "admin_xnjd", "123"), 3, 1000);
        getStudent(new GxStudentApiClient("ft.markingcloud.com", "admin_xnjd", "123"), 4, 1000);
        // base = new File(args[3]);
        // examId = Integer.valueOf(args[0]);
        // getStudent(new GxStudentApiClient("gx.markingcloud.com", args[1],
        // args[2]), 1000);
    }

    private static void getStudent(GxStudentApiClient client, int examId, int pageSize)
            throws HttpException, IOException, UpException {
        int pageNumber = 1;
        JSONArray array = client.list(examId, true, null, pageNumber, pageSize);
        while (array != null && !array.isEmpty()) {
            for (int i = 0; i < array.size(); i++) {
                download(array.getJSONObject(i), examId);
            }
            pageNumber++;
            array = client.list(examId, true, null, pageNumber, pageSize);
        }
    }

    private static void download(JSONObject student, int examId) throws IOException, UpException {
        for (int i = 1; i <= 8; i++) {
            delete(student, examId, i);
        }
    }

    private static void delete(JSONObject student, int examId, int index) throws IOException, UpException {
        String path = "/" + examId + "-" + student.getString("campusCode") + "/" + student.getString("subjectCode")
                + "/" + student.getString("examNumber") + "-" + index + ".jpg";
        System.out.println(path + ":" + upyun.deleteFile(path));
    }
}
