package com.qmth.test.image;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.text.DecimalFormat;

public class SheetTrackFix {

    private static DecimalFormat format = new DecimalFormat("###.#");

    public static void main(String[] args) throws IOException {
        File file = new File("/Users/ting.yin/Downloads/237.txt");
        BufferedReader reader = null;
        Integer width = 2457;
        Integer height = 1755;
        BufferedWriter writer = null;
        try {
            reader = new BufferedReader(new FileReader(file));
            writer = new BufferedWriter(new FileWriter("/Users/ting.yin/Downloads/237_new.txt"));
            String tempStr;
            while ((tempStr = reader.readLine()) != null) {
                StringBuffer sbf = new StringBuffer();
                String[] ss = tempStr.split(",");
                Integer id = Integer.parseInt(ss[0]);
                Double positionX = Double.parseDouble(ss[3]);
                Double positionY = Double.parseDouble(ss[4]);
                Integer index = Integer.parseInt(ss[5]);
                Double offsetX = positionX * width * 0.55;
                Double offsetY = positionY * height * 4;
                if ((positionY > 0.25 && positionY < 0.5) || (positionY > 0.75 && positionY < 1)) {
                    offsetX = offsetX + width * 0.45;
                }
                if ((positionY > 0.25 && positionY < 0.5)) {
                    offsetY = offsetY - height;
                }
                if ((positionY > 0.5 && positionY < 0.75)) {
                    offsetY = offsetY - height * 2;
                }
                if ((positionY > 0.75 && positionY < 1)) {
                    offsetY = offsetY - height * 3;
                }
                if (positionY < 0.5) {
                    index = 1;
                } else {
                    index = 2;
                }
                sbf.append(id).append(",").append(index).append(",").append(format.format(offsetX)).append(",")
                        .append(format.format(offsetY));
                writer.write(sbf.toString());
                writer.newLine();
            }
            reader.close();
            writer.close();
        } catch (IOException e) {
            e.printStackTrace();
        } finally {
            if (reader != null) {
                try {
                    reader.close();
                } catch (IOException e1) {
                    e1.printStackTrace();
                }
            }
        }
    }
}
