package com.qmth.test.image;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.text.DecimalFormat;

public class SheetTrackFixGroup {

    private static DecimalFormat format = new DecimalFormat("###.#");

    public static void main(String[] args) throws IOException {
        File file = new File("/Users/ting.yin/Downloads/226-2.txt");
        BufferedReader reader = null;
        Integer width = 1273;
        Integer height = 2803;
        BufferedWriter writer = null;
        try {
            reader = new BufferedReader(new FileReader(file));
            writer = new BufferedWriter(new FileWriter("/Users/ting.yin/Downloads/226-2-new1.txt"));
            String tempStr;
            while ((tempStr = reader.readLine()) != null) {
                StringBuffer sbf = new StringBuffer();
                String[] ss = tempStr.split(",");
                Integer id = Integer.parseInt(ss[0]);
                Double positionX = Double.parseDouble(ss[1]);
                Double positionY = Double.parseDouble(ss[2]);
                Integer index = 1;
                Double offsetX = positionX * width;
                Double offsetY = positionY * height;
                double x = Double.valueOf(1070) / height;
                if (positionY < x) {
                    offsetX = offsetX + 1181;
                    offsetY = offsetY + 684;
                } else {
                    offsetX = offsetX + 42;
                    offsetY = offsetY + 21;
                    index = 2;
                }
                sbf.append(id).append(",").append(positionX).append(",").append(positionY).append(",").append(index)
                        .append(",").append(format.format(offsetX)).append(",").append(format.format(offsetY));
                writer.write(sbf.toString());
                writer.newLine();
            }
            reader.close();
            writer.close();
        } catch (IOException e) {
            e.printStackTrace();
        } finally {
            if (reader != null) {
                try {
                    reader.close();
                } catch (IOException e1) {
                    e1.printStackTrace();
                }
            }
        }
    }
}
