package com.qmth.test.image.model;

import java.util.ArrayList;
import java.util.List;

public class Coordinate {

    public int index;

    public int left;

    public int top;

    public int width;

    public int height;

    public static List<Coordinate> build(String config) {
        List<Coordinate> list = new ArrayList<>();
        String[] values = config.split(",");
        for (String value : values) {
            String[] item = value.split(":");
            Coordinate c = new Coordinate();
            c.index = Integer.parseInt(item[0]);
            c.left = Integer.parseInt(item[1]);
            c.top = Integer.parseInt(item[2]);
            c.width = Integer.parseInt(item[3]);
            c.height = Integer.parseInt(item[4]);
            list.add(c);
        }
        return list;
    }

}
